Docs Kling /kling/v1/general/custom-elements
API reference

Subject (old)

POST/kling/v1/general/custom-elements

Body Parametersapplication/json

element_description* string

Subject description max 100 characters

element_frontal_image* string

Frontal subject reference image. Accepts Base64 or reachable URL; .jpg/.jpeg/.png; max 10MB; min side 300px; aspect ratio 1:2.5–2.5:1

element_name* string

Subject name max 20 characters

element_refer_list* array

Additional subject reference list. Upload 1–3 refs from different angles to define appearance, as key:value, e.g. "element_refer_list":[{"image_url":"image_url_1"}, ...]

items
object object

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"element_description": "",
3"element_frontal_image": "",
4"element_name": "",
5"element_refer_list": []
6}
Code Sample cURL
1curl -X POST "https://api.digislash.com/kling/v1/general/custom-elements" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"element_description": "",
6"element_frontal_image": "",
7"element_name": "",
8"element_refer_list": []
9}'
Response
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}